Lipsync
List Lipsyncs
Returns a paginated list of all lipsync jobs in the account.
GET
/
v3
/
lipsyncs
List Lipsyncs
curl --request GET \
--url https://api.heygen.com/v3/lipsyncs \
--header 'x-api-key: <api-key>'import requests
url = "https://api.heygen.com/v3/lipsyncs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.heygen.com/v3/lipsyncs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"title": "<string>",
"duration": 123,
"video_url": "<string>",
"caption_url": "<string>",
"callback_id": "<string>",
"created_at": 123,
"failure_message": "<string>"
}
],
"has_more": true,
"next_token": "<string>"
}{
"error": {
"code": "invalid_parameter",
"message": "'limit' must be between 1 and 100.",
"param": "limit",
"doc_url": null
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Query Parameters
Maximum number of items per page
Required range:
1 <= x <= 100Opaque cursor token for the next page
Previous
Create lipsyncReplaces the audio on an existing video and re-animates the speaker's lip movements to match the new audio. Use mode: 'speed' for fast output or 'precision' for high-quality lip-sync.
Next
⌘I
List Lipsyncs

